summaryrefslogtreecommitdiff
path: root/herbstluftwm/spirss
diff options
context:
space:
mode:
Diffstat (limited to 'herbstluftwm/spirss')
-rwxr-xr-xherbstluftwm/spirss18
1 files changed, 18 insertions, 0 deletions
diff --git a/herbstluftwm/spirss b/herbstluftwm/spirss
new file mode 100755
index 0000000..eb67989
--- /dev/null
+++ b/herbstluftwm/spirss
@@ -0,0 +1,18 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:spirss
+if xdotool search --class 'spirss'; then
+ if [ "$(herbstclient list_monitors | grep '[FOCUS]' | cut -d\" -f2)" = "$(herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/\"//g')" ]; then
+ xdotool search -class 'spirss' windowunmap
+ exit
+ fi
+fi
+if [ -f $scratchpad ]; then
+ if ! herbstclient bring $(cat $scratchpad); then
+ xdotool search -class 'spirss' windowmap && exit
+ fi
+fi
+if ! xdotool search -class 'spirss' windowmap; then
+ . ~/.profile && st -t 'spirss' -c 'spirss' -e irssi &
+ xdotool search -sync -onlyvisible -class 'spirss'
+ herbstclient attr clients.focus.winid > $scratchpad
+fi